Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051243 - [abrt] alacarte: g_desktop_app_info_get_is_hidden(): python2.7 killed by SIGSEGV
Summary: [abrt] alacarte: g_desktop_app_info_get_is_hidden(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: alacarte
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jasper St. Pierre
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7c50ab941156fb2951c2aade7e3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 22:07 UTC by iskenderoguz
Modified: 2015-06-29 14:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:18:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.13 KB, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: core_backtrace (19.83 KB, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: dso_list (14.55 KB, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: environ (2.03 KB, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: maps (68.08 KB, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: open_fds (2.87 KB, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: proc_pid_status (901 bytes, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details
File: var_log_messages (374 bytes, text/plain)
2014-01-09 22:08 UTC, iskenderoguz
no flags Details

Description iskenderoguz 2014-01-09 22:07:57 UTC
Version-Release number of selected component:
alacarte-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/python2.7 -OOt /bin/alacarte
crash_function: g_desktop_app_info_get_is_hidden
executable:     /usr/bin/python2.7
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_desktop_app_info_get_is_hidden at /lib64/libgio-2.0.so.0
 #1 process_layout at /lib64/libgnome-menu-3.so.0
 #3 gmenu_tree_load_sync at /lib64/libgnome-menu-3.so.0
 #4 ffi_call_unix64 at /lib64/libffi.so.6
 #5 ffi_call at /lib64/libffi.so.6
 #6 g_callable_info_invoke at /lib64/libgirepository-1.0.so.1
 #7 g_function_info_invoke at /lib64/libgirepository-1.0.so.1
 #8 pygi_callable_info_invoke at /usr/lib64/python2.7/site-packages/gi/_gi.so
 #9 _callable_info_call at /usr/lib64/python2.7/site-packages/gi/_gi.so
 #10 PyObject_Call at /lib64/libpython2.7.so.1.0

Comment 1 iskenderoguz 2014-01-09 22:08:03 UTC
Created attachment 847858 [details]
File: backtrace

Comment 2 iskenderoguz 2014-01-09 22:08:06 UTC
Created attachment 847859 [details]
File: cgroup

Comment 3 iskenderoguz 2014-01-09 22:08:09 UTC
Created attachment 847860 [details]
File: core_backtrace

Comment 4 iskenderoguz 2014-01-09 22:08:11 UTC
Created attachment 847861 [details]
File: dso_list

Comment 5 iskenderoguz 2014-01-09 22:08:13 UTC
Created attachment 847862 [details]
File: environ

Comment 6 iskenderoguz 2014-01-09 22:08:16 UTC
Created attachment 847863 [details]
File: exploitable

Comment 7 iskenderoguz 2014-01-09 22:08:18 UTC
Created attachment 847864 [details]
File: limits

Comment 8 iskenderoguz 2014-01-09 22:08:20 UTC
Created attachment 847865 [details]
File: maps

Comment 9 iskenderoguz 2014-01-09 22:08:22 UTC
Created attachment 847866 [details]
File: open_fds

Comment 10 iskenderoguz 2014-01-09 22:08:24 UTC
Created attachment 847867 [details]
File: proc_pid_status

Comment 11 iskenderoguz 2014-01-09 22:08:27 UTC
Created attachment 847868 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2015-05-29 10:25:02 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:18:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.